1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Copyright by The HDF Group.
19# Copyright by the Board of Trustees of the University of Illinois.
20# All rights reserved.
21#
22# This file is part of HDF5.  The full HDF5 copyright notice, including
23# terms governing use, modification, and redistribution, is contained in
24# the COPYING file, which can be found at the root of the source code
25# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
26# If you do not have access to either file, you may request a copy from
27# help@hdfgroup.org.
28#
29# hdf5 Parallel Library Test Makefile(.in)
30#
31VPATH = @srcdir@
32am__is_gnu_make = { \
33  if test -z '$(MAKELEVEL)'; then \
34    false; \
35  elif test -n '$(MAKE_HOST)'; then \
36    true; \
37  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
38    true; \
39  else \
40    false; \
41  fi; \
42}
43am__make_running_with_option = \
44  case $${target_option-} in \
45      ?) ;; \
46      *) echo "am__make_running_with_option: internal error: invalid" \
47              "target option '$${target_option-}' specified" >&2; \
48         exit 1;; \
49  esac; \
50  has_opt=no; \
51  sane_makeflags=$$MAKEFLAGS; \
52  if $(am__is_gnu_make); then \
53    sane_makeflags=$$MFLAGS; \
54  else \
55    case $$MAKEFLAGS in \
56      *\\[\ \	]*) \
57        bs=\\; \
58        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
59          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
60    esac; \
61  fi; \
62  skip_next=no; \
63  strip_trailopt () \
64  { \
65    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
66  }; \
67  for flg in $$sane_makeflags; do \
68    test $$skip_next = yes && { skip_next=no; continue; }; \
69    case $$flg in \
70      *=*|--*) continue;; \
71        -*I) strip_trailopt 'I'; skip_next=yes;; \
72      -*I?*) strip_trailopt 'I';; \
73        -*O) strip_trailopt 'O'; skip_next=yes;; \
74      -*O?*) strip_trailopt 'O';; \
75        -*l) strip_trailopt 'l'; skip_next=yes;; \
76      -*l?*) strip_trailopt 'l';; \
77      -[dEDm]) skip_next=yes;; \
78      -[JT]) skip_next=yes;; \
79    esac; \
80    case $$flg in \
81      *$$target_option*) has_opt=yes; break;; \
82    esac; \
83  done; \
84  test $$has_opt = yes
85am__make_dryrun = (target_option=n; $(am__make_running_with_option))
86am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
87pkgdatadir = $(datadir)/@PACKAGE@
88pkgincludedir = $(includedir)/@PACKAGE@
89pkglibdir = $(libdir)/@PACKAGE@
90pkglibexecdir = $(libexecdir)/@PACKAGE@
91am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
92install_sh_DATA = $(install_sh) -c -m 644
93install_sh_PROGRAM = $(install_sh) -c
94install_sh_SCRIPT = $(install_sh) -c
95INSTALL_HEADER = $(INSTALL_DATA)
96transform = $(program_transform_name)
97NORMAL_INSTALL = :
98PRE_INSTALL = :
99POST_INSTALL = :
100NORMAL_UNINSTALL = :
101PRE_UNINSTALL = :
102POST_UNINSTALL = :
103build_triplet = @build@
104host_triplet = @host@
105check_PROGRAMS = $(am__EXEEXT_1)
106TESTS =
107subdir = testpar
108ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109am__aclocal_m4_deps = $(top_srcdir)/m4/aclocal_cxx.m4 \
110	$(top_srcdir)/m4/aclocal_fc.m4 $(top_srcdir)/configure.ac
111am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
112	$(ACLOCAL_M4)
113DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
114mkinstalldirs = $(SHELL) $(top_srcdir)/bin/mkinstalldirs
115CONFIG_HEADER = $(top_builddir)/src/H5config.h
116CONFIG_CLEAN_FILES =
117CONFIG_CLEAN_VPATH_FILES =
118am__EXEEXT_1 = t_mpi$(EXEEXT) testphdf5$(EXEEXT) t_cache$(EXEEXT) \
119	t_pflush1$(EXEEXT) t_pflush2$(EXEEXT) t_pshutdown$(EXEEXT) \
120	t_prestart$(EXEEXT) t_init_term$(EXEEXT) t_shapesame$(EXEEXT)
121t_cache_SOURCES = t_cache.c
122t_cache_OBJECTS = t_cache.$(OBJEXT)
123t_cache_LDADD = $(LDADD)
124t_cache_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
125AM_V_lt = $(am__v_lt_@AM_V@)
126am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
127am__v_lt_0 = --silent
128am__v_lt_1 =
129t_init_term_SOURCES = t_init_term.c
130t_init_term_OBJECTS = t_init_term.$(OBJEXT)
131t_init_term_LDADD = $(LDADD)
132t_init_term_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
133t_mpi_SOURCES = t_mpi.c
134t_mpi_OBJECTS = t_mpi.$(OBJEXT)
135t_mpi_LDADD = $(LDADD)
136t_mpi_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
137t_pflush1_SOURCES = t_pflush1.c
138t_pflush1_OBJECTS = t_pflush1.$(OBJEXT)
139t_pflush1_LDADD = $(LDADD)
140t_pflush1_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
141t_pflush2_SOURCES = t_pflush2.c
142t_pflush2_OBJECTS = t_pflush2.$(OBJEXT)
143t_pflush2_LDADD = $(LDADD)
144t_pflush2_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
145t_prestart_SOURCES = t_prestart.c
146t_prestart_OBJECTS = t_prestart.$(OBJEXT)
147t_prestart_LDADD = $(LDADD)
148t_prestart_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
149t_pshutdown_SOURCES = t_pshutdown.c
150t_pshutdown_OBJECTS = t_pshutdown.$(OBJEXT)
151t_pshutdown_LDADD = $(LDADD)
152t_pshutdown_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
153t_shapesame_SOURCES = t_shapesame.c
154t_shapesame_OBJECTS = t_shapesame.$(OBJEXT)
155t_shapesame_LDADD = $(LDADD)
156t_shapesame_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
157am_testphdf5_OBJECTS = testphdf5.$(OBJEXT) t_dset.$(OBJEXT) \
158	t_file.$(OBJEXT) t_file_image.$(OBJEXT) t_mdset.$(OBJEXT) \
159	t_ph5basic.$(OBJEXT) t_coll_chunk.$(OBJEXT) \
160	t_span_tree.$(OBJEXT) t_chunk_alloc.$(OBJEXT) \
161	t_filter_read.$(OBJEXT)
162testphdf5_OBJECTS = $(am_testphdf5_OBJECTS)
163testphdf5_LDADD = $(LDADD)
164testphdf5_DEPENDENCIES = $(LIBH5TEST) $(LIBHDF5)
165AM_V_P = $(am__v_P_@AM_V@)
166am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
167am__v_P_0 = false
168am__v_P_1 = :
169AM_V_GEN = $(am__v_GEN_@AM_V@)
170am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
171am__v_GEN_0 = @echo "  GEN     " $@;
172am__v_GEN_1 =
173AM_V_at = $(am__v_at_@AM_V@)
174am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
175am__v_at_0 = @
176am__v_at_1 =
177DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
178depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
179am__depfiles_maybe = depfiles
180am__mv = mv -f
181COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
182	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
183LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
184	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
185	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
186	$(AM_CFLAGS) $(CFLAGS)
187AM_V_CC = $(am__v_CC_@AM_V@)
188am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
189am__v_CC_0 = @echo "  CC      " $@;
190am__v_CC_1 =
191CCLD = $(CC)
192LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
193	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
194	$(AM_LDFLAGS) $(LDFLAGS) -o $@
195AM_V_CCLD = $(am__v_CCLD_@AM_V@)
196am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
197am__v_CCLD_0 = @echo "  CCLD    " $@;
198am__v_CCLD_1 =
199SOURCES = t_cache.c t_init_term.c t_mpi.c t_pflush1.c t_pflush2.c \
200	t_prestart.c t_pshutdown.c t_shapesame.c $(testphdf5_SOURCES)
201DIST_SOURCES = t_cache.c t_init_term.c t_mpi.c t_pflush1.c t_pflush2.c \
202	t_prestart.c t_pshutdown.c t_shapesame.c $(testphdf5_SOURCES)
203am__can_run_installinfo = \
204  case $$AM_UPDATE_INFO_DIR in \
205    n|no|NO) false;; \
206    *) (install-info --version) >/dev/null 2>&1;; \
207  esac
208am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
209# Read a list of newline-separated strings from the standard input,
210# and print each of them once, without duplicates.  Input order is
211# *not* preserved.
212am__uniquify_input = $(AWK) '\
213  BEGIN { nonempty = 0; } \
214  { items[$$0] = 1; nonempty = 1; } \
215  END { if (nonempty) { for (i in items) print i; }; } \
216'
217# Make sure the list of sources is unique.  This is necessary because,
218# e.g., the same source file might be shared among _SOURCES variables
219# for different programs/libraries.
220am__define_uniq_tagged_files = \
221  list='$(am__tagged_files)'; \
222  unique=`for i in $$list; do \
223    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
224  done | $(am__uniquify_input)`
225ETAGS = etags
226CTAGS = ctags
227am__tty_colors_dummy = \
228  mgn= red= grn= lgn= blu= brg= std=; \
229  am__color_tests=no
230am__tty_colors = { \
231  $(am__tty_colors_dummy); \
232  if test "X$(AM_COLOR_TESTS)" = Xno; then \
233    am__color_tests=no; \
234  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
235    am__color_tests=yes; \
236  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
237    am__color_tests=yes; \
238  fi; \
239  if test $$am__color_tests = yes; then \
240    red=''; \
241    grn=''; \
242    lgn=''; \
243    blu=''; \
244    mgn=''; \
245    brg=''; \
246    std=''; \
247  fi; \
248}
249am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
250am__vpath_adj = case $$p in \
251    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
252    *) f=$$p;; \
253  esac;
254am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
255am__install_max = 40
256am__nobase_strip_setup = \
257  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
258am__nobase_strip = \
259  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
260am__nobase_list = $(am__nobase_strip_setup); \
261  for p in $$list; do echo "$$p $$p"; done | \
262  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
263  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
264    if (++n[$$2] == $(am__install_max)) \
265      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
266    END { for (dir in files) print dir, files[dir] }'
267am__base_list = \
268  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
269  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
270am__uninstall_files_from_dir = { \
271  test -z "$$files" \
272    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
273    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
274         $(am__cd) "$$dir" && rm -f $$files; }; \
275  }
276am__recheck_rx = ^[ 	]*:recheck:[ 	]*
277am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
278am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
279# A command that, given a newline-separated list of test names on the
280# standard input, print the name of the tests that are to be re-run
281# upon "make recheck".
282am__list_recheck_tests = $(AWK) '{ \
283  recheck = 1; \
284  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
285    { \
286      if (rc < 0) \
287        { \
288          if ((getline line2 < ($$0 ".log")) < 0) \
289	    recheck = 0; \
290          break; \
291        } \
292      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
293        { \
294          recheck = 0; \
295          break; \
296        } \
297      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
298        { \
299          break; \
300        } \
301    }; \
302  if (recheck) \
303    print $$0; \
304  close ($$0 ".trs"); \
305  close ($$0 ".log"); \
306}'
307# A command that, given a newline-separated list of test names on the
308# standard input, create the global log from their .trs and .log files.
309am__create_global_log = $(AWK) ' \
310function fatal(msg) \
311{ \
312  print "fatal: making $@: " msg | "cat >&2"; \
313  exit 1; \
314} \
315function rst_section(header) \
316{ \
317  print header; \
318  len = length(header); \
319  for (i = 1; i <= len; i = i + 1) \
320    printf "="; \
321  printf "\n\n"; \
322} \
323{ \
324  copy_in_global_log = 1; \
325  global_test_result = "RUN"; \
326  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
327    { \
328      if (rc < 0) \
329         fatal("failed to read from " $$0 ".trs"); \
330      if (line ~ /$(am__global_test_result_rx)/) \
331        { \
332          sub("$(am__global_test_result_rx)", "", line); \
333          sub("[ 	]*$$", "", line); \
334          global_test_result = line; \
335        } \
336      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
337        copy_in_global_log = 0; \
338    }; \
339  if (copy_in_global_log) \
340    { \
341      rst_section(global_test_result ": " $$0); \
342      while ((rc = (getline line < ($$0 ".log"))) != 0) \
343      { \
344        if (rc < 0) \
345          fatal("failed to read from " $$0 ".log"); \
346        print line; \
347      }; \
348      printf "\n"; \
349    }; \
350  close ($$0 ".trs"); \
351  close ($$0 ".log"); \
352}'
353# Restructured Text title.
354am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
355# Solaris 10 'make', and several other traditional 'make' implementations,
356# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
357# by disabling -e (using the XSI extension "set +e") if it's set.
358am__sh_e_setup = case $$- in *e*) set +e;; esac
359# Default flags passed to test drivers.
360am__common_driver_flags = \
361  --color-tests "$$am__color_tests" \
362  --enable-hard-errors "$$am__enable_hard_errors" \
363  --expect-failure "$$am__expect_failure"
364# To be inserted before the command running the test.  Creates the
365# directory for the log if needed.  Stores in $dir the directory
366# containing $f, in $tst the test, in $log the log.  Executes the
367# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
368# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
369# will run the test scripts (or their associated LOG_COMPILER, if
370# thy have one).
371am__check_pre = \
372$(am__sh_e_setup);					\
373$(am__vpath_adj_setup) $(am__vpath_adj)			\
374$(am__tty_colors);					\
375srcdir=$(srcdir); export srcdir;			\
376case "$@" in						\
377  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
378    *) am__odir=.;; 					\
379esac;							\
380test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
381  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
382if test -f "./$$f"; then dir=./;			\
383elif test -f "$$f"; then dir=;				\
384else dir="$(srcdir)/"; fi;				\
385tst=$$dir$$f; log='$@'; 				\
386if test -n '$(DISABLE_HARD_ERRORS)'; then		\
387  am__enable_hard_errors=no; 				\
388else							\
389  am__enable_hard_errors=yes; 				\
390fi; 							\
391case " $(XFAIL_TESTS) " in				\
392  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
393    am__expect_failure=yes;;				\
394  *)							\
395    am__expect_failure=no;;				\
396esac; 							\
397$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
398# A shell command to get the names of the tests scripts with any registered
399# extension removed (i.e., equivalently, the names of the test logs, with
400# the '.log' extension removed).  The result is saved in the shell variable
401# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
402# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
403# since that might cause problem with VPATH rewrites for suffix-less tests.
404# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
405am__set_TESTS_bases = \
406  bases='$(TEST_LOGS)'; \
407  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
408  bases=`echo $$bases`
409RECHECK_LOGS = $(TEST_LOGS)
410AM_RECURSIVE_TARGETS = check recheck
411TEST_SUITE_LOG = test-suite.log
412am__test_logs1 = $(TESTS:=.log)
413am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
414TEST_LOGS = $(am__test_logs2:.sh.log=.log)
415SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
416SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
417am__set_b = \
418  case '$@' in \
419    */*) \
420      case '$*' in \
421        */*) b='$*';; \
422          *) b=`echo '$@' | sed 's/\.log$$//'`; \
423       esac;; \
424    *) \
425      b='$*';; \
426  esac
427am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/bin/depcomp \
428	$(top_srcdir)/bin/mkinstalldirs $(top_srcdir)/bin/test-driver \
429	$(top_srcdir)/config/commence.am \
430	$(top_srcdir)/config/conclude.am COPYING
431DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
432ACLOCAL = @ACLOCAL@
433ADD_PARALLEL_FILES = @ADD_PARALLEL_FILES@
434AMTAR = @AMTAR@
435
436# H5_CFLAGS holds flags that should be used when building hdf5,
437# but which should not be exported to h5cc for building other programs.
438# AM_CFLAGS is an automake construct which should be used by Makefiles
439# instead of CFLAGS, as CFLAGS is reserved solely for the user to define.
440# This applies to FCFLAGS, CXXFLAGS, CPPFLAGS, and LDFLAGS as well.
441AM_CFLAGS = @AM_CFLAGS@ @H5_CFLAGS@
442AM_CPPFLAGS = @AM_CPPFLAGS@ @H5_CPPFLAGS@ -I$(top_srcdir)/src \
443	-I$(top_srcdir)/test
444AM_CXXFLAGS = @AM_CXXFLAGS@ @H5_CXXFLAGS@
445AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
446AM_FCFLAGS = @AM_FCFLAGS@ @H5_FCFLAGS@
447AM_LDFLAGS = @AM_LDFLAGS@ @H5_LDFLAGS@
448AM_MAKEFLAGS = @AM_MAKEFLAGS@
449AR = @AR@
450AUTOCONF = @AUTOCONF@
451AUTOHEADER = @AUTOHEADER@
452AUTOMAKE = @AUTOMAKE@
453AWK = @AWK@
454BYTESEX = @BYTESEX@
455CC = @CC@
456CCDEPMODE = @CCDEPMODE@
457CC_VERSION = @CC_VERSION@
458CFLAGS = @CFLAGS@
459CLEARFILEBUF = @CLEARFILEBUF@
460CODESTACK = @CODESTACK@
461CONFIG_DATE = @CONFIG_DATE@
462CONFIG_MODE = @CONFIG_MODE@
463CONFIG_USER = @CONFIG_USER@
464CPP = @CPP@
465CPPFLAGS = @CPPFLAGS@
466CXX = @CXX@
467CXXCPP = @CXXCPP@
468CXXDEPMODE = @CXXDEPMODE@
469CXXFLAGS = @CXXFLAGS@
470CXX_VERSION = @CXX_VERSION@
471CYGPATH_W = @CYGPATH_W@
472DEBUG_PKG = @DEBUG_PKG@
473DEFAULT_API_VERSION = @DEFAULT_API_VERSION@
474DEFS = @DEFS@
475DEPDIR = @DEPDIR@
476DEPRECATED_SYMBOLS = @DEPRECATED_SYMBOLS@
477DIRECT_VFD = @DIRECT_VFD@
478DLLTOOL = @DLLTOOL@
479DSYMUTIL = @DSYMUTIL@
480DUMPBIN = @DUMPBIN@
481ECHO_C = @ECHO_C@
482ECHO_N = @ECHO_N@
483ECHO_T = @ECHO_T@
484EGREP = @EGREP@
485EXEEXT = @EXEEXT@
486EXTERNAL_FILTERS = @EXTERNAL_FILTERS@
487
488# Make sure that these variables are exported to the Makefiles
489F9XMODEXT = @F9XMODEXT@
490F9XMODFLAG = @F9XMODFLAG@
491F9XSUFFIXFLAG = @F9XSUFFIXFLAG@
492FC = @FC@
493FC2003 = @FC2003@
494FCFLAGS = @FCFLAGS@
495FCFLAGS_f90 = @FCFLAGS_f90@
496FCLIBS = @FCLIBS@
497FC_VERSION = @FC_VERSION@
498FGREP = @FGREP@
499FSEARCH_DIRS = @FSEARCH_DIRS@
500GREP = @GREP@
501H5_CFLAGS = @H5_CFLAGS@
502H5_CPPFLAGS = @H5_CPPFLAGS@
503H5_CXXFLAGS = @H5_CXXFLAGS@
504H5_FCFLAGS = @H5_FCFLAGS@
505H5_FORTRAN_SHARED = @H5_FORTRAN_SHARED@
506H5_LDFLAGS = @H5_LDFLAGS@
507H5_VERSION = @H5_VERSION@
508HADDR_T = @HADDR_T@
509HAVE_DMALLOC = @HAVE_DMALLOC@
510HAVE_FORTRAN_2003 = @HAVE_FORTRAN_2003@
511HAVE_PTHREAD = @HAVE_PTHREAD@
512HDF5_HL = @HDF5_HL@
513HDF5_INTERFACES = @HDF5_INTERFACES@
514HDF_CXX = @HDF_CXX@
515HDF_FORTRAN = @HDF_FORTRAN@
516HDF_FORTRAN2003 = @HDF_FORTRAN2003@
517HID_T = @HID_T@
518HL = @HL@
519HL_FOR = @HL_FOR@
520HSIZE_T = @HSIZE_T@
521HSSIZE_T = @HSSIZE_T@
522INSTALL = @INSTALL@
523INSTALL_DATA = @INSTALL_DATA@
524INSTALL_PROGRAM = @INSTALL_PROGRAM@
525INSTALL_SCRIPT = @INSTALL_SCRIPT@
526INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
527INSTRUMENT = @INSTRUMENT@
528INSTRUMENT_LIBRARY = @INSTRUMENT_LIBRARY@
529LD = @LD@
530LDFLAGS = @LDFLAGS@
531LIBOBJS = @LIBOBJS@
532LIBS = @LIBS@
533LIBTOOL = @LIBTOOL@
534LIPO = @LIPO@
535LL_PATH = @LL_PATH@
536LN_S = @LN_S@
537LTLIBOBJS = @LTLIBOBJS@
538LT_STATIC_EXEC = @LT_STATIC_EXEC@
539LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
540MAINT = @MAINT@
541MAKEINFO = @MAKEINFO@
542MANIFEST_TOOL = @MANIFEST_TOOL@
543MKDIR_P = @MKDIR_P@
544MPE = @MPE@
545NM = @NM@
546NMEDIT = @NMEDIT@
547OBJDUMP = @OBJDUMP@
548OBJECT_NAMELEN_DEFAULT_F = @OBJECT_NAMELEN_DEFAULT_F@
549OBJEXT = @OBJEXT@
550OTOOL = @OTOOL@
551OTOOL64 = @OTOOL64@
552PACKAGE = @PACKAGE@
553PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
554PACKAGE_NAME = @PACKAGE_NAME@
555PACKAGE_STRING = @PACKAGE_STRING@
556PACKAGE_TARNAME = @PACKAGE_TARNAME@
557PACKAGE_URL = @PACKAGE_URL@
558PACKAGE_VERSION = @PACKAGE_VERSION@
559PARALLEL = @PARALLEL@
560PATH_SEPARATOR = @PATH_SEPARATOR@
561PERL = @PERL@
562RANLIB = @RANLIB@
563ROOT = @ROOT@
564RUNPARALLEL = @RUNPARALLEL@
565RUNSERIAL = @RUNSERIAL@
566R_INTEGER = @R_INTEGER@
567R_LARGE = @R_LARGE@
568SEARCH = @SEARCH@
569SED = @SED@
570SET_MAKE = @SET_MAKE@
571SHELL = @SHELL@
572SIZE_T = @SIZE_T@
573STATIC_EXEC = @STATIC_EXEC@
574STATIC_SHARED = @STATIC_SHARED@
575STRICT_FORMAT_CHECKS = @STRICT_FORMAT_CHECKS@
576STRIP = @STRIP@
577TESTPARALLEL = @TESTPARALLEL@
578THREADSAFE = @THREADSAFE@
579TIME = @TIME@
580TR = @TR@
581TRACE_API = @TRACE_API@
582UNAME_CYGWIN = @UNAME_CYGWIN@
583UNAME_INFO = @UNAME_INFO@
584USE_FILTER_DEFLATE = @USE_FILTER_DEFLATE@
585USE_FILTER_SZIP = @USE_FILTER_SZIP@
586USINGMEMCHECKER = @USINGMEMCHECKER@
587VERSION = @VERSION@
588WORDS_BIGENDIAN = @WORDS_BIGENDIAN@
589abs_builddir = @abs_builddir@
590abs_srcdir = @abs_srcdir@
591abs_top_builddir = @abs_top_builddir@
592abs_top_srcdir = @abs_top_srcdir@
593ac_ct_AR = @ac_ct_AR@
594ac_ct_CC = @ac_ct_CC@
595ac_ct_CXX = @ac_ct_CXX@
596ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
597ac_ct_FC = @ac_ct_FC@
598am__include = @am__include@
599am__leading_dot = @am__leading_dot@
600am__quote = @am__quote@
601am__tar = @am__tar@
602am__untar = @am__untar@
603bindir = @bindir@
604build = @build@
605build_alias = @build_alias@
606build_cpu = @build_cpu@
607build_os = @build_os@
608build_vendor = @build_vendor@
609builddir = @builddir@
610datadir = @datadir@
611datarootdir = @datarootdir@
612
613# Install directories that automake doesn't know about
614docdir = $(exec_prefix)/doc
615dvidir = @dvidir@
616enable_shared = @enable_shared@
617enable_static = @enable_static@
618exec_prefix = @exec_prefix@
619fortran_linux_linker_option = @fortran_linux_linker_option@
620host = @host@
621host_alias = @host_alias@
622host_cpu = @host_cpu@
623host_os = @host_os@
624host_vendor = @host_vendor@
625htmldir = @htmldir@
626includedir = @includedir@
627infodir = @infodir@
628install_sh = @install_sh@
629libdir = @libdir@
630libexecdir = @libexecdir@
631localedir = @localedir@
632localstatedir = @localstatedir@
633mandir = @mandir@
634mkdir_p = @mkdir_p@
635oldincludedir = @oldincludedir@
636pdfdir = @pdfdir@
637prefix = @prefix@
638program_transform_name = @program_transform_name@
639psdir = @psdir@
640sbindir = @sbindir@
641sharedstatedir = @sharedstatedir@
642srcdir = @srcdir@
643sysconfdir = @sysconfdir@
644target_alias = @target_alias@
645top_build_prefix = @top_build_prefix@
646top_builddir = @top_builddir@
647top_srcdir = @top_srcdir@
648
649# Shell commands used in Makefiles
650RM = rm -f
651CP = cp
652
653# Some machines need a command to run executables; this is that command
654# so that our tests will run.
655# We use RUNEXEC instead of RUNSERIAL directly because it may be that
656# some tests need to be run with a different command.  Older versions
657# of the makefiles used the command
658# $(LIBTOOL) --mode=execute
659# in some directories, for instance.
660RUNEXEC = $(RUNSERIAL)
661
662# Libraries to link to while building
663LIBHDF5 = $(top_builddir)/src/libhdf5.la
664LIBH5TEST = $(top_builddir)/test/libh5test.la
665LIBH5F = $(top_builddir)/fortran/src/libhdf5_fortran.la
666LIBH5FTEST = $(top_builddir)/fortran/test/libh5test_fortran.la
667LIBH5CPP = $(top_builddir)/c++/src/libhdf5_cpp.la
668LIBH5TOOLS = $(top_builddir)/tools/lib/libh5tools.la
669LIBH5_HL = $(top_builddir)/hl/src/libhdf5_hl.la
670LIBH5F_HL = $(top_builddir)/hl/fortran/src/libhdf5hl_fortran.la
671LIBH5CPP_HL = $(top_builddir)/hl/c++/src/libhdf5_hl_cpp.la
672
673# Note that in svn revision 19400 the '/' after DESTDIR in H5* variables below
674# has been removed. According to the official description of DESTDIR by Gnu at
675# http://www.gnu.org/prep/standards/html_node/DESTDIR.html, DESTDIR is
676# prepended to the normal and complete install path that it precedes for the
677# purpose of installing in a temporary directory which is useful for building
678# rpms and other packages.  The '/' after ${DESTDIR} will be followed by another
679# '/' at the beginning of the normal install path.  When DESTDIR is empty the
680# path then begins with '//', which is incorrect and causes problems at least for
681# Cygwin.
682
683# Scripts used to build examples
684# If only shared libraries have been installed, have h5cc build examples with
685# shared libraries instead of static libraries
686H5CC = ${DESTDIR}$(bindir)/h5cc
687H5CC_PP = ${DESTDIR}$(bindir)/h5pcc
688H5FC = ${DESTDIR}$(bindir)/h5fc
689H5FC_PP = ${DESTDIR}$(bindir)/h5pfc
690H5CPP = ${DESTDIR}$(bindir)/h5c++
691ACLOCAL_AMFLAGS = "-I m4"
692
693# The trace script; this is used on source files from the C library to
694# insert tracing macros.
695TRACE = perl $(top_srcdir)/bin/trace
696
697# .chkexe files are used to mark tests that have run successfully.
698# .chklog files are output from those tests.
699# *.clog and *.clog2 are from the MPE option.
700
701# Temporary files
702# MPItest.h5 is from t_mpi
703# Para*.h5 are from testphdf
704# shutdown.h5 is from t_pshutdown
705# after_mpi_fin.h5 is from t_init_term
706# go is used for debugging. See testphdf5.c.
707CHECK_CLEANFILES = *.chkexe *.chklog *.clog *.clog2 MPItest.h5 \
708	Para*.h5 CacheTestDummy.h5 shutdown.h5 after_mpi_fin.h5 go
709
710# Test programs.  These are our main targets.
711#
712TEST_PROG_PARA = t_mpi testphdf5 t_cache t_pflush1 t_pflush2 t_pshutdown t_prestart t_init_term t_shapesame
713testphdf5_SOURCES = testphdf5.c t_dset.c t_file.c t_file_image.c t_mdset.c \
714	t_ph5basic.c t_coll_chunk.c t_span_tree.c t_chunk_alloc.c t_filter_read.c
715
716
717# The tests all depend on the hdf5 library and the test library
718LDADD = $(LIBH5TEST) $(LIBHDF5)
719
720# Automake needs to be taught how to build lib, dyn, progs, and tests targets.
721# These will be filled in automatically for the most part (e.g.,
722# lib_LIBRARIES are built for lib target), but EXTRA_LIB, EXTRA_PROG, and
723# EXTRA_TEST variables are supplied to allow the user to force targets to
724# be built at certain times.
725LIB = $(lib_LIBRARIES) $(lib_LTLIBRARIES) $(noinst_LIBRARIES)                 \
726      $(noinst_LTLIBRARIES) $(check_LIBRARIES) $(check_LTLIBRARIES) $(EXTRA_LIB)
727
728PROGS = $(bin_PROGRAMS) $(bin_SCRIPTS) $(noinst_PROGRAMS) $(noinst_SCRIPTS)   \
729        $(EXTRA_PROG)
730
731chk_TESTS = $(check_PROGRAMS) $(check_SCRIPTS) $(EXTRA_TEST)
732TEST_EXTENSIONS = .sh
733SH_LOG_COMPILER = $(SHELL)
734AM_SH_LOG_FLAGS =
735REALTIMEOUTPUT = $(realtimeOutput)
736TEST_PROG_CHKEXE = $(TEST_PROG:=.chkexe_)
737TEST_PROG_PARA_CHKEXE = $(TEST_PROG_PARA:=.chkexe_)
738TEST_SCRIPT_CHKSH = $(TEST_SCRIPT:=.chkexe_)
739TEST_SCRIPT_PARA_CHKSH = $(TEST_SCRIPT_PARA:=.chkexe_)
740all: all-am
741
742.SUFFIXES:
743.SUFFIXES: .c .lo .log .o .obj .sh .sh$(EXEEXT) .trs
744$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__configure_deps)
745	@for dep in $?; do \
746	  case '$(am__configure_deps)' in \
747	    *$$dep*) \
748	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
749	        && { if test -f $@; then exit 0; else break; fi; }; \
750	      exit 1;; \
751	  esac; \
752	done; \
753	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign testpar/Makefile'; \
754	$(am__cd) $(top_srcdir) && \
755	  $(AUTOMAKE) --foreign testpar/Makefile
756Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
757	@case '$?' in \
758	  *config.status*) \
759	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
760	  *) \
761	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
762	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
763	esac;
764$(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__empty):
765
766$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
767	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
768
769$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
770	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
771$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
772	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
773$(am__aclocal_m4_deps):
774
775clean-checkPROGRAMS:
776	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
777	echo " rm -f" $$list; \
778	rm -f $$list || exit $$?; \
779	test -n "$(EXEEXT)" || exit 0; \
780	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
781	echo " rm -f" $$list; \
782	rm -f $$list
783
784t_cache$(EXEEXT): $(t_cache_OBJECTS) $(t_cache_DEPENDENCIES) $(EXTRA_t_cache_DEPENDENCIES)
785	@rm -f t_cache$(EXEEXT)
786	$(AM_V_CCLD)$(LINK) $(t_cache_OBJECTS) $(t_cache_LDADD) $(LIBS)
787
788t_init_term$(EXEEXT): $(t_init_term_OBJECTS) $(t_init_term_DEPENDENCIES) $(EXTRA_t_init_term_DEPENDENCIES)
789	@rm -f t_init_term$(EXEEXT)
790	$(AM_V_CCLD)$(LINK) $(t_init_term_OBJECTS) $(t_init_term_LDADD) $(LIBS)
791
792t_mpi$(EXEEXT): $(t_mpi_OBJECTS) $(t_mpi_DEPENDENCIES) $(EXTRA_t_mpi_DEPENDENCIES)
793	@rm -f t_mpi$(EXEEXT)
794	$(AM_V_CCLD)$(LINK) $(t_mpi_OBJECTS) $(t_mpi_LDADD) $(LIBS)
795
796t_pflush1$(EXEEXT): $(t_pflush1_OBJECTS) $(t_pflush1_DEPENDENCIES) $(EXTRA_t_pflush1_DEPENDENCIES)
797	@rm -f t_pflush1$(EXEEXT)
798	$(AM_V_CCLD)$(LINK) $(t_pflush1_OBJECTS) $(t_pflush1_LDADD) $(LIBS)
799
800t_pflush2$(EXEEXT): $(t_pflush2_OBJECTS) $(t_pflush2_DEPENDENCIES) $(EXTRA_t_pflush2_DEPENDENCIES)
801	@rm -f t_pflush2$(EXEEXT)
802	$(AM_V_CCLD)$(LINK) $(t_pflush2_OBJECTS) $(t_pflush2_LDADD) $(LIBS)
803
804t_prestart$(EXEEXT): $(t_prestart_OBJECTS) $(t_prestart_DEPENDENCIES) $(EXTRA_t_prestart_DEPENDENCIES)
805	@rm -f t_prestart$(EXEEXT)
806	$(AM_V_CCLD)$(LINK) $(t_prestart_OBJECTS) $(t_prestart_LDADD) $(LIBS)
807
808t_pshutdown$(EXEEXT): $(t_pshutdown_OBJECTS) $(t_pshutdown_DEPENDENCIES) $(EXTRA_t_pshutdown_DEPENDENCIES)
809	@rm -f t_pshutdown$(EXEEXT)
810	$(AM_V_CCLD)$(LINK) $(t_pshutdown_OBJECTS) $(t_pshutdown_LDADD) $(LIBS)
811
812t_shapesame$(EXEEXT): $(t_shapesame_OBJECTS) $(t_shapesame_DEPENDENCIES) $(EXTRA_t_shapesame_DEPENDENCIES)
813	@rm -f t_shapesame$(EXEEXT)
814	$(AM_V_CCLD)$(LINK) $(t_shapesame_OBJECTS) $(t_shapesame_LDADD) $(LIBS)
815
816testphdf5$(EXEEXT): $(testphdf5_OBJECTS) $(testphdf5_DEPENDENCIES) $(EXTRA_testphdf5_DEPENDENCIES)
817	@rm -f testphdf5$(EXEEXT)
818	$(AM_V_CCLD)$(LINK) $(testphdf5_OBJECTS) $(testphdf5_LDADD) $(LIBS)
819
820mostlyclean-compile:
821	-rm -f *.$(OBJEXT)
822
823distclean-compile:
824	-rm -f *.tab.c
825
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_cache.Po@am__quote@
827@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_chunk_alloc.Po@am__quote@
828@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_coll_chunk.Po@am__quote@
829@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_dset.Po@am__quote@
830@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_file.Po@am__quote@
831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_file_image.Po@am__quote@
832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_filter_read.Po@am__quote@
833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_init_term.Po@am__quote@
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_mdset.Po@am__quote@
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_mpi.Po@am__quote@
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pflush1.Po@am__quote@
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pflush2.Po@am__quote@
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_ph5basic.Po@am__quote@
839@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_prestart.Po@am__quote@
840@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pshutdown.Po@am__quote@
841@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_shapesame.Po@am__quote@
842@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_span_tree.Po@am__quote@
843@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testphdf5.Po@am__quote@
844
845.c.o:
846@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
847@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
848@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
849@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
851
852.c.obj:
853@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
854@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
855@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
856@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
858
859.c.lo:
860@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
861@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
862@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
863@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
865
866mostlyclean-libtool:
867	-rm -f *.lo
868
869clean-libtool:
870	-rm -rf .libs _libs
871
872ID: $(am__tagged_files)
873	$(am__define_uniq_tagged_files); mkid -fID $$unique
874tags: tags-am
875TAGS: tags
876
877tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
878	set x; \
879	here=`pwd`; \
880	$(am__define_uniq_tagged_files); \
881	shift; \
882	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
883	  test -n "$$unique" || unique=$$empty_fix; \
884	  if test $$# -gt 0; then \
885	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
886	      "$$@" $$unique; \
887	  else \
888	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
889	      $$unique; \
890	  fi; \
891	fi
892ctags: ctags-am
893
894CTAGS: ctags
895ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
896	$(am__define_uniq_tagged_files); \
897	test -z "$(CTAGS_ARGS)$$unique" \
898	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
899	     $$unique
900
901GTAGS:
902	here=`$(am__cd) $(top_builddir) && pwd` \
903	  && $(am__cd) $(top_srcdir) \
904	  && gtags -i $(GTAGS_ARGS) "$$here"
905cscopelist: cscopelist-am
906
907cscopelist-am: $(am__tagged_files)
908	list='$(am__tagged_files)'; \
909	case "$(srcdir)" in \
910	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
911	  *) sdir=$(subdir)/$(srcdir) ;; \
912	esac; \
913	for i in $$list; do \
914	  if test -f "$$i"; then \
915	    echo "$(subdir)/$$i"; \
916	  else \
917	    echo "$$sdir/$$i"; \
918	  fi; \
919	done >> $(top_builddir)/cscope.files
920
921distclean-tags:
922	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
923
924# Recover from deleted '.trs' file; this should ensure that
925# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
926# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
927# to avoid problems with "make -n".
928.log.trs:
929	rm -f $< $@
930	$(MAKE) $(AM_MAKEFLAGS) $<
931
932# Leading 'am--fnord' is there to ensure the list of targets does not
933# expand to empty, as could happen e.g. with make check TESTS=''.
934am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
935am--force-recheck:
936	@:
937
938$(TEST_SUITE_LOG): $(TEST_LOGS)
939	@$(am__set_TESTS_bases); \
940	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
941	redo_bases=`for i in $$bases; do \
942	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
943	            done`; \
944	if test -n "$$redo_bases"; then \
945	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
946	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
947	  if $(am__make_dryrun); then :; else \
948	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
949	  fi; \
950	fi; \
951	if test -n "$$am__remaking_logs"; then \
952	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
953	       "recursion detected" >&2; \
954	elif test -n "$$redo_logs"; then \
955	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
956	fi; \
957	if $(am__make_dryrun); then :; else \
958	  st=0;  \
959	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
960	  for i in $$redo_bases; do \
961	    test -f $$i.trs && test -r $$i.trs \
962	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
963	    test -f $$i.log && test -r $$i.log \
964	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
965	  done; \
966	  test $$st -eq 0 || exit 1; \
967	fi
968	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
969	ws='[ 	]'; \
970	results=`for b in $$bases; do echo $$b.trs; done`; \
971	test -n "$$results" || results=/dev/null; \
972	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
973	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
974	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
975	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
976	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
977	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
978	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
979	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
980	  success=true; \
981	else \
982	  success=false; \
983	fi; \
984	br='==================='; br=$$br$$br$$br$$br; \
985	result_count () \
986	{ \
987	    if test x"$$1" = x"--maybe-color"; then \
988	      maybe_colorize=yes; \
989	    elif test x"$$1" = x"--no-color"; then \
990	      maybe_colorize=no; \
991	    else \
992	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
993	    fi; \
994	    shift; \
995	    desc=$$1 count=$$2; \
996	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
997	      color_start=$$3 color_end=$$std; \
998	    else \
999	      color_start= color_end=; \
1000	    fi; \
1001	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1002	}; \
1003	create_testsuite_report () \
1004	{ \
1005	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1006	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1007	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1008	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1009	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1010	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1011	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1012	}; \
1013	{								\
1014	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1015	    $(am__rst_title);						\
1016	  create_testsuite_report --no-color;				\
1017	  echo;								\
1018	  echo ".. contents:: :depth: 2";				\
1019	  echo;								\
1020	  for b in $$bases; do echo $$b; done				\
1021	    | $(am__create_global_log);					\
1022	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1023	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1024	if $$success; then						\
1025	  col="$$grn";							\
1026	 else								\
1027	  col="$$red";							\
1028	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1029	fi;								\
1030	echo "$${col}$$br$${std}"; 					\
1031	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1032	echo "$${col}$$br$${std}"; 					\
1033	create_testsuite_report --maybe-color;				\
1034	echo "$$col$$br$$std";						\
1035	if $$success; then :; else					\
1036	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1037	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1038	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1039	  fi;								\
1040	  echo "$$col$$br$$std";					\
1041	fi;								\
1042	$$success || exit 1
1043recheck: all $(check_PROGRAMS)
1044	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1045	@set +e; $(am__set_TESTS_bases); \
1046	bases=`for i in $$bases; do echo $$i; done \
1047	         | $(am__list_recheck_tests)` || exit 1; \
1048	log_list=`for i in $$bases; do echo $$i.log; done`; \
1049	log_list=`echo $$log_list`; \
1050	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1051	        am__force_recheck=am--force-recheck \
1052	        TEST_LOGS="$$log_list"; \
1053	exit $$?
1054.sh.log:
1055	@p='$<'; \
1056	$(am__set_b); \
1057	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1058	--log-file $$b.log --trs-file $$b.trs \
1059	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1060	"$$tst" $(AM_TESTS_FD_REDIRECT)
1061@am__EXEEXT_TRUE@.sh$(EXEEXT).log:
1062@am__EXEEXT_TRUE@	@p='$<'; \
1063@am__EXEEXT_TRUE@	$(am__set_b); \
1064@am__EXEEXT_TRUE@	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1065@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1066@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1067@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1068
1069distdir: $(DISTFILES)
1070	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1071	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1072	list='$(DISTFILES)'; \
1073	  dist_files=`for file in $$list; do echo $$file; done | \
1074	  sed -e "s|^$$srcdirstrip/||;t" \
1075	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1076	case $$dist_files in \
1077	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1078			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1079			   sort -u` ;; \
1080	esac; \
1081	for file in $$dist_files; do \
1082	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1083	  if test -d $$d/$$file; then \
1084	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1085	    if test -d "$(distdir)/$$file"; then \
1086	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1087	    fi; \
1088	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1089	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1090	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1091	    fi; \
1092	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1093	  else \
1094	    test -f "$(distdir)/$$file" \
1095	    || cp -p $$d/$$file "$(distdir)/$$file" \
1096	    || exit 1; \
1097	  fi; \
1098	done
1099check-am: all-am
1100	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1101	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1102check: check-am
1103all-am: Makefile all-local
1104installdirs:
1105install: install-am
1106install-exec: install-exec-am
1107install-data: install-data-am
1108uninstall: uninstall-am
1109
1110install-am: all-am
1111	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1112
1113installcheck: installcheck-am
1114install-strip:
1115	if test -z '$(STRIP)'; then \
1116	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1117	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1118	      install; \
1119	else \
1120	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1121	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1122	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1123	fi
1124mostlyclean-generic:
1125	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1126	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1127	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1128
1129clean-generic:
1130
1131distclean-generic:
1132	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1133	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1134
1135maintainer-clean-generic:
1136	@echo "This command is intended for maintainers to use"
1137	@echo "it deletes files that may require special tools to rebuild."
1138clean: clean-am
1139
1140clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1141	mostlyclean-am
1142
1143distclean: distclean-am
1144	-rm -rf ./$(DEPDIR)
1145	-rm -f Makefile
1146distclean-am: clean-am distclean-compile distclean-generic \
1147	distclean-tags
1148
1149dvi: dvi-am
1150
1151dvi-am:
1152
1153html: html-am
1154
1155html-am:
1156
1157info: info-am
1158
1159info-am:
1160
1161install-data-am:
1162
1163install-dvi: install-dvi-am
1164
1165install-dvi-am:
1166
1167install-exec-am:
1168
1169install-html: install-html-am
1170
1171install-html-am:
1172
1173install-info: install-info-am
1174
1175install-info-am:
1176
1177install-man:
1178
1179install-pdf: install-pdf-am
1180
1181install-pdf-am:
1182
1183install-ps: install-ps-am
1184
1185install-ps-am:
1186
1187installcheck-am:
1188
1189maintainer-clean: maintainer-clean-am
1190	-rm -rf ./$(DEPDIR)
1191	-rm -f Makefile
1192maintainer-clean-am: distclean-am maintainer-clean-generic
1193
1194mostlyclean: mostlyclean-am
1195
1196mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1197	mostlyclean-libtool mostlyclean-local
1198
1199pdf: pdf-am
1200
1201pdf-am:
1202
1203ps: ps-am
1204
1205ps-am:
1206
1207uninstall-am:
1208
1209.MAKE: check-am install-am install-strip
1210
1211.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
1212	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
1213	cscopelist-am ctags ctags-am distclean distclean-compile \
1214	distclean-generic distclean-libtool distclean-tags distdir dvi \
1215	dvi-am html html-am info info-am install install-am \
1216	install-data install-data-am install-dvi install-dvi-am \
1217	install-exec install-exec-am install-html install-html-am \
1218	install-info install-info-am install-man install-pdf \
1219	install-pdf-am install-ps install-ps-am install-strip \
1220	installcheck installcheck-am installdirs maintainer-clean \
1221	maintainer-clean-generic mostlyclean mostlyclean-compile \
1222	mostlyclean-generic mostlyclean-libtool mostlyclean-local pdf \
1223	pdf-am ps ps-am recheck tags tags-am uninstall uninstall-am
1224
1225.PRECIOUS: Makefile
1226
1227
1228# List all build rules defined by HDF5 Makefiles as "PHONY" targets here.
1229# This tells the Makefiles that these targets are not files to be built but
1230# commands that should be executed even if a file with the same name already
1231# exists.
1232.PHONY: build-check-clean build-check-p build-check-s build-lib build-progs \
1233        build-tests check-clean check-install check-p check-s check-vfd \
1234        install-doc lib progs tests uninstall-doc _exec_check-s _test help
1235
1236help:
1237	@$(top_srcdir)/bin/makehelp
1238# lib/progs/tests targets recurse into subdirectories. build-* targets
1239# build files in this directory.
1240build-lib: $(LIB)
1241build-progs: $(LIB) $(PROGS)
1242build-tests: $(LIB) $(PROGS) $(chk_TESTS)
1243
1244# General rule for recursive building targets.
1245# BUILT_SOURCES contain targets that need to be built before anything else
1246# in the directory (e.g., for Fortran type detection)
1247lib progs tests check-s check-p :: $(BUILT_SOURCES)
1248	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1249	@for d in X $(SUBDIRS); do                                             \
1250	    if test $$d != X && test $$d != .; then                           \
1251	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1252	    fi;                                                               \
1253	done
1254
1255# General rule for recursive cleaning targets.  Like the rule above,
1256# but doesn't require building BUILT_SOURCES.
1257check-clean ::
1258	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1259	@for d in X $(SUBDIRS); do                                             \
1260	    if test $$d != X && test $$d != .; then                           \
1261	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1262	    fi;                                                               \
1263	done
1264
1265# Tell Automake to build tests when the user types `make all' (this is
1266# not its default behavior).  Also build EXTRA_LIB and EXTRA_PROG since
1267# Automake won't build them automatically, either.
1268all-local: $(EXTRA_LIB) $(EXTRA_PROG) $(chk_TESTS)
1269
1270# make install-doc doesn't do anything outside of doc directory, but
1271# Makefiles should recognize it.
1272# UPDATE: docs no longer reside in this build tree, so this target
1273# is depreciated.
1274install-doc uninstall-doc:
1275	@echo "Nothing to be done."
1276
1277# clean up files generated by tests so they can be re-run.
1278build-check-clean:
1279	$(RM) -rf $(CHECK_CLEANFILES)
1280
1281# run check-clean whenever mostlyclean is run
1282mostlyclean-local: build-check-clean
1283
1284# check-install is just a synonym for installcheck
1285check-install: installcheck
1286
1287# Run each test in order, passing $(TEST_FLAGS) to the program.
1288# Since tests are done in a shell loop, "make -i" does apply inside it.
1289# Set HDF5_Make_Ignore to a non-blank string to ignore errors inside the loop.
1290# The timestamps give a rough idea how much time the tests use.
1291#
1292# Note that targets in chk_TESTS (defined above) will be built when the user
1293# types 'make tests' or 'make check', but only programs in TEST_PROG,
1294# TEST_PROG_PARA, or TEST_SCRIPT will actually be executed.
1295check-TESTS: test
1296
1297test _test:
1298	@$(MAKE) build-check-s
1299	@$(MAKE) build-check-p
1300
1301# Actual execution of check-s.
1302build-check-s: $(LIB) $(PROGS) $(chk_TESTS)
1303	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1304	   echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1305	fi
1306	@$(MAKE) $(AM_MAKEFLAGS) _exec_check-s
1307	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1308	    echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1309	fi
1310
1311_exec_check-s: $(TEST_PROG_CHKEXE) $(TEST_SCRIPT_CHKSH)
1312
1313# The dummy.chkexe here prevents the target from being
1314# empty if there are no tests in the current directory.
1315# $${log} is the log file.
1316# $${tname} is the name of test.
1317$(TEST_PROG_CHKEXE) $(TEST_PROG_PARA_CHKEXE) dummy.chkexe_:
1318	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummy.chkexe_"; then \
1319	   tname=$(@:.chkexe_=)$(EXEEXT);\
1320	   log=$(@:.chkexe_=.chklog); \
1321	   echo "============================"; \
1322	   if $(top_srcdir)/bin/newer $(@:.chkexe_=.chkexe) $${tname}; then \
1323	      echo "No need to test $${tname} again."; \
1324	   else \
1325              if test -n "$(REALTIMEOUTPUT)"; then \
1326                 echo "============================" | tee $${log}; \
1327              else \
1328                 echo "============================" > $${log}; \
1329              fi; \
1330              if test "X$(FORTRAN_API)" = "Xyes"; then \
1331                 echo "Fortran API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1332                 if test -n "$(REALTIMEOUTPUT)"; then \
1333                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1334                 else \
1335                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1336                 fi; \
1337              elif test "X$(CXX_API)" = "Xyes"; then \
1338                 echo "C++ API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1339                 if test -n "$(REALTIMEOUTPUT)"; then \
1340                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log};\
1341                 else \
1342                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log};\
1343                 fi; \
1344              else \
1345                 echo "Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1346                 if test -n "$(REALTIMEOUTPUT)"; then \
1347                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1348                 else \
1349                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1350                 fi; \
1351              fi; \
1352              if test -n "$(REALTIMEOUTPUT)"; then \
1353                 echo "============================" | tee -a $${log}; \
1354              else \
1355                 echo "============================" >> $${log}; \
1356              fi; \
1357              if test -n "$(REALTIMEOUTPUT)"; then \
1358                 srcdir="$(srcdir)" \
1359                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) | tee -a $${log} 2>&1 \
1360                 && touch $(@:.chkexe_=.chkexe) || \
1361                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1362                 (cat $${log} && false) || exit 1; \
1363              else \
1364                 srcdir="$(srcdir)" \
1365                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) >> $${log} 2>&1 \
1366                 && touch $(@:.chkexe_=.chkexe) || \
1367                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1368                 (cat $${log} && false) || exit 1; \
1369              fi; \
1370	      echo "" >> $${log}; \
1371              if test -n "$(REALTIMEOUTPUT)"; then \
1372                 echo "Finished testing $${tname} $(TEST_FLAGS)" | tee -a $${log}; \
1373                 echo "============================" | tee -a $${log}; \
1374              else \
1375                 echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1376                 echo "============================" >> $${log}; \
1377              fi; \
1378              if test -z "$(REALTIMEOUTPUT)"; then \
1379                 cat $${log}; \
1380              fi; \
1381	   fi; \
1382	fi
1383
1384# The dummysh.chkexe here prevents the target from being
1385# empty if there are no tests in the current directory.
1386# $${log} is the log file.
1387# $${tname} is the name of test.
1388$(TEST_SCRIPT_CHKSH) $(TEST_SCRIPT_PARA_CHKSH) dummysh.chkexe_:
1389	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummysh.chkexe_"; then \
1390	   cmd=$(@:.chkexe_=);\
1391	   tname=`basename $$cmd`;\
1392	   chkname=`basename $(@:.chkexe_=.chkexe)`;\
1393	   log=`basename $(@:.chkexe_=.chklog)`; \
1394	   echo "============================"; \
1395	   if $(top_srcdir)/bin/newer $${chkname} $$cmd $(SCRIPT_DEPEND); then \
1396	      echo "No need to test $${tname} again."; \
1397	   else \
1398	      echo "============================" > $${log}; \
1399	      if test "X$(FORTRAN_API)" = "Xyes"; then \
1400	         echo "Fortran API: Testing $${tname} $(TEST_FLAGS)"; \
1401	         echo "Fortran API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1402	      elif test "X$(CXX_API)" = "Xyes"; then \
1403	         echo "C++ API: Testing $${tname} $(TEST_FLAGS)"; \
1404	         echo "C++ API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1405	      else \
1406	         echo "Testing $${tname} $(TEST_FLAGS)"; \
1407	         echo "$${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1408	      fi; \
1409	      echo "============================" >> $${log}; \
1410	      RUNSERIAL="$(RUNSERIAL)" RUNPARALLEL="$(RUNPARALLEL)"           \
1411	      srcdir="$(srcdir)" \
1412	         $(TIME) $(SHELL) $$cmd $(TEST_FLAGS) >> $${log} 2>&1 \
1413	         && touch $${chkname} || \
1414	         (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1415	         (cat $${log} && false) || exit 1; \
1416	      echo "" >> $${log}; \
1417	      echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1418	      echo "============================" >> $${log}; \
1419	      echo "Finished testing $${tname} $(TEST_FLAGS)"; \
1420	      cat $${log}; \
1421	   fi; \
1422	   echo "============================"; \
1423	fi
1424
1425# Actual execution of check-p.
1426build-check-p: $(LIB) $(PROGS) $(chk_TESTS)
1427	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1428	   echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1429	fi
1430	@if test -n "$(TEST_PROG_PARA)"; then                                \
1431	    echo "**** Hint ****";                                            \
1432	    echo "Parallel test files reside in the current directory"        \
1433	         "by default.";                                               \
1434	    echo "Set HDF5_PARAPREFIX to use another directory. E.g.,";       \
1435	    echo "    HDF5_PARAPREFIX=/PFS/user/me";                          \
1436	    echo "    export HDF5_PARAPREFIX";                                \
1437	    echo "    make check";                                            \
1438	    echo "**** end of Hint ****";                                     \
1439	fi
1440	@for test in $(TEST_PROG_PARA) dummy; do                             \
1441	   if test $$test != dummy; then                                      \
1442	      $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ \
1443	      RUNEXEC="$(RUNPARALLEL)" || exit 1; \
1444	   fi;                                                                \
1445	done
1446	@for test in $(TEST_SCRIPT_PARA) dummy; do                           \
1447	  if test $$test != dummy; then                                      \
1448	    $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ || exit 1; \
1449	  fi;                                                                 \
1450	done
1451	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1452	    echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1453	fi
1454
1455# Run test with different Virtual File Driver
1456check-vfd: $(LIB) $(PROGS) $(chk_TESTS)
1457	@for vfd in $(VFD_LIST) dummy; do                                     \
1458	    if test $$vfd != dummy; then                                      \
1459	        echo "============================";                          \
1460	        echo "Testing Virtual File Driver $$vfd";                     \
1461	        echo "============================";                          \
1462	        $(MAKE) $(AM_MAKEFLAGS) check-clean || exit 1;                \
1463	        HDF5_DRIVER=$$vfd $(MAKE) $(AM_MAKEFLAGS) check || exit 1;    \
1464	    fi;                                                               \
1465	done
1466
1467# Tell versions [3.59,3.63) of GNU make to not export all variables.
1468# Otherwise a system limit (for SysV at least) may be exceeded.
1469.NOEXPORT:
1470